Jump to content
Sign in to follow this  
Bucho

версия 1.5 или 2.1

Recommended Posts

Доброго дня, посоветуйте ил ссылка на тему есть,

Какую версию лучше сейчас развернуть версия 1.5 или 2.1

Share this post


Link to post
Share on other sites

Так обсуждали много раз.

на 1.5-й прямо сейчас можно реализовать практически все, что угодно.

на 2-й далеко не все, ибо готовых модулей и дополнительных нужных для вас решений может вообще не оказаться в наличии.

 

Исходите из реальных задач, которые нужно решить вам сейчас, и задач, которые могут возникнуть в ближайшем будущем.

Share this post


Link to post
Share on other sites

Так обсуждали много раз.

на 1.5-й прямо сейчас можно реализовать практически все, что угодно.

на 2-й далеко не все, ибо готовых модулей и дополнительных нужных для вас решений может вообще не оказаться в наличии.

Исходите из реальных задач, которые нужно решить вам сейчас, и задач, которые могут возникнуть в ближайшем будущем.

Спасибо за быстрый ответ, есть ссылка на обсуждения?

Share this post


Link to post
Share on other sites

2.1 однозначно

Share this post


Link to post
Share on other sites

2.1 однозначно

 

Ну ну...

не бывает ничего однозначного. Да еще без объяснений.

 

https://opencartforum.com/forum/70-opencart-20-%D0%BF%D0%BE%D0%B8%D1%81%D0%BA-%D0%BC%D0%BE%D0%B4%D1%83%D0%BB%D0%B5%D0%B9/

 

вот люди ищут ищут...

И это только если додумались написать в теме поиска модулей.

В реальности все гораздо сложнее.

 

Правда, если вам никакой доп. функционал не нужен...

 

Также если вы надеетесь поставить 2.1 и в будущем делать безболезненные обновления, то здесь вас ждет разочарование.

2.2 (которая уже есть в альфа-версии) поверх просто так не установите.  Слишком много несовместимостей...

 

Ну так в чем тогда преимущество 2.1-й?  если обновить ее все равно нельзя будет? а только методом пиления.

Edited by sitecreator

Share this post


Link to post
Share on other sites

Ну ну...

не бывает ничего однозначного. Да еще без объяснений.

https://opencartforum.com/forum/70-opencart-20-поиск-модулей/

вот люди ищут ищут...

И это только если додумались написать в теме поиска модулей.

В реальности все гораздо сложнее.

Правда, если вам никакой доп. функционал не нужен...

Также если вы надеетесь поставить 2.1 и в будущем делать безболезненные обновления, то здесь вас ждет разочарование.

2.2 (которая уже есть в альфа-версии) поверх просто так не установите. Слишком много несовместимостей...

Ну так в чем тогда преимущество 2.1-й? если обновить ее все равно нельзя будет? а только методом пиления.

Какой вопрос- такой ответ:)

Человек не написал что хочет реализоват. Мое мнение - 2.1. Внешне приятнее, да и возвращаться к старому..

Думаете менее проблематично обновиться с 1.5 на 2.1?:)

P.s. у самого пока стоит 1.5.5.1.2 :D

Edited by n3bo

Share this post


Link to post
Share on other sites
Внешне приятнее, да и возвращаться к старому..

 

 

 

Внешность зависит только от шаблона и фантазии дизайнера и умения верстальщика. И никак от версии движка.

да и новая админка у многих вызывает чувство раздражения, и не безосновательно.

 

по поводу "старого".

Во 2-й ветке ничего принципиально нового то и нету, что могло бы улучшить работу администратора магазина, например.

Что там нового то?

Новый jQuery?

 

Так я вам без проблем поставлю самую последнюю версию на 1.5-ку.

Бутстрап? Так это вообще весьма сомнительное нововведение. И ничто не мешало и раньше в 1.5-й ветке использовать бутстрап. Хотя есть привлекательнее решения чем бутстрап.

 

Еще для 2.1 не успели (не смогли) написать (переписать) модули, которые есть для 1.5-й.  А уже появилась 2.2, которая по коду несовместима с 2.1-й.

Так какой смысл тогда писать модули под 2.1 если они будут несовместимы с 2.2?  Уж тогда сразу под 2.2 напишут, а на 2.1 вообще забьют болт.

 

------------

поэтому, разворачивайте любую. Но помните, что затраты при реализации ваших задач на 2-й могут быть несоизмеримо выше как по деньгам, так и по времени.  Все зависит от ваших конкретных задач.

Share this post


Link to post
Share on other sites
Думаете менее проблематично обновиться с 1.5 на 2.1? :)

 

 

да было бы нужно...

кроме затрат и определенного геморроя ничего не получите полезного на выходе. совершенно ничего.

Share this post


Link to post
Share on other sites

буквально на выходных задался этим же вопросом.

 

Плюсы версии 1.5

Стабильная изученная, все вопросы решены в 90% случаев. Есть хорошие недорогие шаблоны. куча модулей. Куча обучающего материала.

Минусы.  вроде как прошлая версия. Но за несколько лет работы с интернет магазином понял что тут примерно как самолетостроении. Обновлять версии нужно только в самом крайнем случае (вдруг обнаружена и пофиксена какая-нибудь критическая уязвимость.) В остальном поступаем так - определились с функционалом, Купили хороший шаблон, +пару нужных модулей, обработали все напильником и работаем, в процессе работы уже смотрим на косяки и исправляем их. Года через три успешной работы интернет магазина он у вас будет либо наполовину самописный, или же можно будет собрать свежую версию с учетом пройденого (гораздо точнее будуту представлять что вам нужно).

 

Плюсы версии 2.

Дефолтная тема симпатичнее, Админка спорная.

Минусы

Меньше модулей и тем, И они получается порой дороже. 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
You are posting as a guest. If you have an account, please sign in.
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.

×

Important Information

On our site, cookies are used and personal data is processed to improve the user interface. To find out what and what personal data we are processing, please go to the link. If you click "I agree," it means that you understand and accept all the conditions specified in this Privacy Notice.